Naar inhoud springen

LTX 2.5 Pro Image to Video

Integreren

Model-ID lightricks/ltx-2.5/image-to-video/pro
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lightricks/ltx-2.5/image-to-video/pro?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_m47cpdni6njc4mezryvt9kg2/0-fUu2PV5voQYZjKUW9sc_1_qYL5cs4B.png",
    "prompt": "The camera glides forward and slowly tilts up toward the peaks, icebergs drift gently, clouds move across the sky and the morning light grows brighter.",
    "duration": 6,
    "resolution": "720p",
    "generate_audio": false
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Deze request: $ 0,72 720 API-tegoed · ≈ ₽ 77,46 Op deze pagina uitvoeren

API-sleutel ophalen
Lightricks Afbeelding naar video Native audio6–10 stot 1080p #camera-control#first-last-frame

Animeert een startafbeelding, optioneel richting een eindafbeelding, tot een LTX 2.5 Pro-clip van 6 tot 10 seconden met audio.

Voorbeelden

Invoer
Uitvoer · ~39 s

PromptThe camera glides forward and slowly tilts up toward the peaks, icebergs drift gently, clouds move across the sky and the morning light grows brighter.

6 s720pgenerate_audio: false$ 0,72 · 720 API-tegoed

Een aanvraag samenstellen

Besturingselementen worden gegenereerd op basis van het modelschema. De code en de prijs worden bijgewerkt terwijl je ze wijzigt.

•verplicht 151 / 5000

Prompt die videogeneratie aanstuurt.

•verplicht image_url
Sleep een bestand hierheen of

URL naar de afbeelding waarmee de uitvoervideo begint.

duration 6 s

Selectie van videoduur: geef een duur in seconden op of kies 'auto' om het model te laten beslissen. De maximale duur is 10 seconden.

resolution

Resolutie van de uitvoervideo.

aspect_ratio standaard auto

Beeldverhouding van de video, waarbij een uit de afbeelding afgeleide instelling beschikbaar is via 'auto'.

camera_motion

Optionele camerabeweging voor de uitvoervideo.

Geavanceerd end_image · fps
end_image_url
Sleep een bestand hierheen of

Optioneel overgangsdoel, opgegeven als afbeeldings-URL. Hierdoor gaat de gegenereerde video over van het startframe naar deze eindafbeelding.

fps standaard 25

Framesnelheid van de uitvoervideo, gemeten in frames per seconde.

POST /run/lightricks/ltx-2.5/image-to-video/pro?wait=20 prijsopgave → $ 0,72
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lightricks/ltx-2.5/image-to-video/pro?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_m47cpdni6njc4mezryvt9kg2/0-fUu2PV5voQYZjKUW9sc_1_qYL5cs4B.png",
    "prompt": "The camera glides forward and slowly tilts up toward the peaks, icebergs drift gently, clouds move across the sky and the morning light grows brighter.",
    "duration": 6,
    "resolution": "720p",
    "generate_audio": false
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Deze request uitvoeren

Je sleutel blijft in deze browser: hij wordt alleen naar de Doitong API verzonden en alleen in localStorage opgeslagen als je Onthouden aanvinkt. API-sleutel ophalen

Over LTX 2.5 Pro Image to Video

LTX 2.5 Pro animeert je eerste frame, kan eindigen op een eindframe, voegt gegenereerde audio toe en accepteert een benoemde camerabeweging (dolly, jib, static of focus shift). 6, 8 of 10 seconden of automatische lengte, 720p of 1080p, 24, 25 of 50 fps.

Parameters

Stuur de canonieke naam of de oorspronkelijke naam, niet beide. Canonieke namen

NaamType StandaardToegestaan Beschrijving
image_urlverplicht image
Typeurl · image
URL naar de afbeelding waarmee de uitvoervideo begint.
end_image_urloptioneel end_image
Typeurl · image
Optioneel overgangsdoel, opgegeven als afbeeldings-URL. Hierdoor gaat de gegenereerde video over van het startframe naar deze eindafbeelding.
promptverplicht
Typestring
≤ 5.000 tekens
Prompt die videogeneratie aanstuurt.
durationoptioneel
Typeenum
Standaardauto
6810auto
Selectie van videoduur: geef een duur in seconden op of kies 'auto' om het model te laten beslissen. De maximale duur is 10 seconden.
resolutionoptioneel
Typeenum
Standaard1080p
720p1080p
Resolutie van de uitvoervideo.
aspect_ratiooptioneel
Typeenum
Standaardauto
auto16:99:16
Beeldverhouding van de video, waarbij een uit de afbeelding afgeleide instelling beschikbaar is via 'auto'.
fpsoptioneel
Typeenum
Standaard25
242550
Framesnelheid van de uitvoervideo, gemeten in frames per seconde.
generate_audiooptioneel
Typeboolean
Standaardtrue
Schakelaar voor audiogeneratie in de uitvoervideo.
camera_motionoptioneel
Typeenum
dolly_indolly_outdolly_leftdolly_rightjib_upjib_downstaticfocus_shift
Optionele camerabeweging voor de uitvoervideo.
verplicht Canonieke naam, ook geaccepteerd

Bestandsparameters accepteren een openbare https:// URL, een data: URI tot 10 MB of de file_url van een upload. Bestanden

Uitvoer

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "lightricks/ltx-2.5/image-to-video/pro",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 720,
    "usd": "0.72",
    "charged": 720,
    "refunded": 0
  },
  "input": {
    "prompt": "Fireflies swirl around the fox as it slows down and looks back over its shoulder",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "duration": 6,
    "resolution": "720p",
    "camera_motion": "static"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Jouw bestanden, jouw keuzeElke outputs[].url is een kopie in onze opslag: voor altijd bewaard (betaald per GB-maand) of 7 dagen gratis, volgens je accountinstelling of ?storage=.
Dezelfde structuur voor elk modeltype, url, content_type, width, height en duration, voor afbeeldingen, video en audio. output is het eigen resultaatobject van het model.
Velden van de uitvoer
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}Resulterend videobestand.

Meer modellen: Afbeelding naar video

Voor AI-agents: deze pagina als Markdown staat op https://doitong.com/nl/developers/models/lightricks/ltx-2.5/image-to-video/pro.md. Alle modellen en handleidingen: https://doitong.com/developers/llms.txt